FAQs

What are the recommend versions of Internet Explorer and Firefox?

The current recommended versions of Internet Explorer and Firefox are listed on our software downloads page. Running other versions, either higher or lower, can interfere with your access to VSU electronic accounts and services.

Back to Top

 

Why does the university only recommend particular versions of Internet Explorer and Firefox?

The university recommends particular versions of Internet Explorer and Firefox based on compatibility with Valdosta State University electronic accounts and services, such as Banner (Registration System) and Hallnet (Campus Residential Network). While other versions may function, we cannot guarantee that you will not encounter technical issues while accessing these services.

Back to Top

 

Is Internet Explorer better than Firefox or vice versa?

There is no clear cut leader in terms of browsers, though Internet Explorer is used by a larger share of the market. We would recommend running both browsers on a PC and Firefox on the Mac (as Internet Explorer is unavailable). Running both browsers will give you an alternative method to access web sites if one of your web browsers becomes damaged.

Back to Top

 

Can plug-ins like the Google Toolbar or Yahoo Toolbar affect my access to VSU web sites?

Toolbar plug-ins, such as the Google Toolbar or Yahoo Toolbar, contain a pop-up blocker component that can interfere with VSU electronic accounts and services such as BlazeVIEW (Online Course System) which use pop-ups to deliver vital content. Thus, we would recommend not only against the installation of these toolbars, but also to be wary that they are not being installed with a course-required plug-in such as Adobe Reader.

Back to Top